## org.apache.batik.swing.svg
Class SVGDocumentLoaderEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.svg.SVGDocumentLoaderEvent

All Implemented Interfaces:
  java.io.Serializable

public class SVGDocumentLoaderEvent
extends java.util.EventObject

This class represents an event which indicate an event originated from a SVGDocumentLoader instance.

See Also:
  Serialized Form

Field Summary
`protected SVGDocument` `svgDocument` The associated SVG document.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SVGDocumentLoaderEvent(java.lang.Object source, SVGDocument doc)` Creates a new SVGDocumentLoaderEvent.

Method Summary
`SVGDocument` `getSVGDocument()` Returns the associated SVG document, or null if the loading was just started or an error occured.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### svgDocument

    protected SVGDocument svgDocument

  The associated SVG document.

Constructor Detail

### SVGDocumentLoaderEvent

    public SVGDocumentLoaderEvent(java.lang.Object source,
                                  SVGDocument doc)

  Creates a new SVGDocumentLoaderEvent.

Parameters:
  `source` - the object that originated the event, ie. the SVGDocumentLoader.
  `doc` - The associated document.

Method Detail

### getSVGDocument

    public SVGDocument getSVGDocument()

  Returns the associated SVG document, or null if the loading was just started or an error occured.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.